Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractTab
                          org.richfaces.component.UITab

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, AjaxProps

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UITab

extends AbstractTab
implements javax.faces.component.behavior.ClientBehaviorHolder, AbstractTogglePanelTitledItem, AjaxProps

The <rich:tab> component represents an individual tab inside a <rich:tabPanel> component, including the tab's content. Clicking on the tab header will bring its corresponding content to the front of other tabs.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UITab.Properties`

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UITab()`

Method Summary
`Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHeaderStyle()` The CSS style applied to the header
`String` | `getLang()`
`String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
`String` | `getOnbegin()` The client-side script method to be called before an ajax request.
`String` | `getOnclick()`
`String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
`String` | `getOndblclick()`
`String` | `getOnenter()` The function to perform when the mouse enters the panel
`String` | `getOnheaderclick()` Javascript code executed when a pointer button is clicked over the header of this element.
`String` | `getOnheaderdblclick()` Javascript code executed when a pointer button is double clicked over the header of this element.
`String` | `getOnheadermousedown()` Javascript code executed when a pointer button is pressed down over the header of this element.
`String` | `getOnheadermousemove()` Javascript code executed when a pointer button is moved within the header of this element.
`String` | `getOnheadermouseup()` Javascript code executed when a pointer button is released over the header of this element.
`String` | `getOnleave()` The function to perform when the mouse leaves the panel.
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
`String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isDisabled()` Flag indicating whether toggling of this panel is disabled
`boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(Object data)`
`void` | `setDir(String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHeaderStyle(String headerStyle)`
`void` | `setLang(String lang)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOnclick(String onclick)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnenter(String onenter)`
`void` | `setOnheaderclick(String onheaderclick)`
`void` | `setOnheaderdblclick(String onheaderdblclick)`
`void` | `setOnheadermousedown(String onheadermousedown)`
`void` | `setOnheadermousemove(String onheadermousemove)`
`void` | `setOnheadermouseup(String onheadermouseup)`
`void` | `setOnleave(String onleave)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setRender(Object render)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.richfaces.component.AbstractTab
`getContentClass, getExecute, getHeader, getHeaderActiveClass, getHeaderClass, getHeaderDisabledClass, getHeaderFacet, getHeaderFacet, getHeaderInactiveClass, getName, getParentPanel, getRenderer, getSwitchType, getTabPanel, isActive, isDynamicPanelItem, setContentClass, setExecute, setHeader, setHeaderActiveClass, setHeaderClass, setHeaderDisabledClass, setHeaderInactiveClass, setName, setSwitchType, shouldProcess, toString`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`queueEvent`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`getContentClass, getHeader, getHeaderActiveClass, getHeaderClass, getHeaderDisabledClass, getHeaderInactiveClass`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getName, getParentPanel, getSwitchType, isActive, isDynamicPanelItem, isRendered, shouldProcess`

Methods inherited from interface org.richfaces.component.attribute.AjaxProps
`getExecute`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UITab

    public UITab()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Description copied from class: `AbstractActionComponent`
  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getData

    public Object getData()

  Description copied from interface: `AjaxProps`
  Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data

  Specified by:
    `getData` in interface `AjaxProps`

### setData

    public void setData(Object data)

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(String dir)

### isDisabled

    public boolean isDisabled()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Flag indicating whether toggling of this panel is disabled

  Specified by:
    `isDisabled` in interface `AbstractTogglePanelTitledItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getHeaderStyle

    public String getHeaderStyle()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  The CSS style applied to the header

  Specified by:
    `getHeaderStyle` in interface `AbstractTogglePanelTitledItem`

### setHeaderStyle

    public void setHeaderStyle(String headerStyle)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(String lang)

### isLimitRender

    public boolean isLimitRender()

  Description copied from interface: `AjaxProps`
  If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels

  Specified by:
    `isLimitRender` in interface `AjaxProps`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the ajax response comes back, but before the DOM is updated

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxProps`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbegin

    public String getOnbegin()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called before an ajax request.

  Specified by:
    `getOnbegin` in interface `AjaxProps`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(String onclick)

### getOncomplete

    public String getOncomplete()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the DOM is updated

  Specified by:
    `getOncomplete` in interface `AjaxProps`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnenter

    public String getOnenter()

  Description copied from interface: `AbstractTogglePanelItemInterface`
  The function to perform when the mouse enters the panel

  Specified by:
    `getOnenter` in interface `AbstractTogglePanelItemInterface`

### setOnenter

    public void setOnenter(String onenter)

### getOnheaderclick

    public String getOnheaderclick()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is clicked over the header of this element.

  Specified by:
    `getOnheaderclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderclick

    public void setOnheaderclick(String onheaderclick)

### getOnheaderdblclick

    public String getOnheaderdblclick()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is double clicked over the header of this element.

  Specified by:
    `getOnheaderdblclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderdblclick

    public void setOnheaderdblclick(String onheaderdblclick)

### getOnheadermousedown

    public String getOnheadermousedown()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is pressed down over the header of this element.

  Specified by:
    `getOnheadermousedown` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousedown

    public void setOnheadermousedown(String onheadermousedown)

### getOnheadermousemove

    public String getOnheadermousemove()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is moved within the header of this element.

  Specified by:
    `getOnheadermousemove` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousemove

    public void setOnheadermousemove(String onheadermousemove)

### getOnheadermouseup

    public String getOnheadermouseup()

  Description copied from interface: `AbstractTogglePanelTitledItem`
  Javascript code executed when a pointer button is released over the header of this element.

  Specified by:
    `getOnheadermouseup` in interface `AbstractTogglePanelTitledItem`

### setOnheadermouseup

    public void setOnheadermouseup(String onheadermouseup)

### getOnleave

    public String getOnleave()

  Description copied from interface: `AbstractTogglePanelItemInterface`
  The function to perform when the mouse leaves the panel.

  Specified by:
    `getOnleave` in interface `AbstractTogglePanelItemInterface`

### setOnleave

    public void setOnleave(String onleave)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getRender

    public Object getRender()

  Description copied from interface: `AjaxProps`
  IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

  Specified by:
    `getRender` in interface `AjaxProps`

### setRender

    public void setRender(Object render)

### getStatus

    public String getStatus()

  Description copied from interface: `AjaxProps`
  Name of the request status component that will indicate the status of the Ajax request

  Specified by:
    `getStatus` in interface `AjaxProps`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.